Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface ProfilerConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, Enabled, NamedConfigElement, NotificationBroadcaster, NotificationEmitter, PropertiesAccess

public interface ProfilerConfig
extends NamedConfigElement, PropertiesAccess, Enabled

Configuration for the <profiler> element.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.config.PropertiesAccess
`PROPERTY_PREFIX`

Method Summary
`java.lang.String` | `getClasspath()`
`java.lang.String[]` | `getJVMOptions()`
`java.lang.String` | `getNativeLibraryPath()`
`void` | `setClasspath(java.lang.String classpath)`
`void` | `setJVMOptions(java.lang.String[] jvmOptions)` Overwrites existing jvm options with the new options.
`void` | `setNativeLibraryPath(java.lang.String nativeLibraryPath)`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.config.PropertiesAccess
`createProperty, existsProperty, getProperties, getPropertyNames, getPropertyValue, removeProperty, setPropertyValue`

Methods inherited from interface com.sun.appserv.management.config.Enabled
`getEnabled, setEnabled`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getClasspath

    public java.lang.String getClasspath()

### setClasspath

    public void setClasspath(java.lang.String classpath)

### getNativeLibraryPath

    public java.lang.String getNativeLibraryPath()

### setNativeLibraryPath

    public void setNativeLibraryPath(java.lang.String nativeLibraryPath)

### getJVMOptions

    public java.lang.String[] getJVMOptions()

### setJVMOptions

    public void setJVMOptions(java.lang.String[] jvmOptions)

  Overwrites existing jvm options with the new options. If the intent is to append the new options the caller needs to first get the existing jvm options using #getJVMOptions, append new options and set the resulting whole using this method.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.